# $Revision: 1.16.2.1 $, $Date: 2002/11/19 15:49:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_pearname	%{_class}
Summary:	%{_pearname} - main php pear class
Summary(pl):	%{_pearname} - podstawowa klasa dla php pear
Name:		php-pear-%{_pearname}
Version:	1.0b1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	sed
Requires:	php-pear
BuildArch:	noarch
# This is temporary empty class
Provides:       pear(stdClass)
Provides:       pear(StdClass)
# Temporary - this is not OK:
Provides:       pear(parent)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(/usr/src/redhat/RPMS/i386/PEAR)'

%description
The PEAR package contains:
- the PEAR base class
- the PEAR_Error error handling mechanism
- the PEAR installer, for creating, distributing and installing
  packages

%description -l pl
Pakiet PEAR zawiara:
- Postawow klas PEAR
- Mechanizm obsugi bdw PEAR_Error
- PEAR installer do tworzenia, dystrybucji i instalowania pakietw

%package Command
Summary:	%{_pearname}-Command - main php pear class
Summary(pl):	%{_pearname}-Command - podstawowa klasa dla php pear
Group:		Development/Languages/PHP

%description Command
Command class for PEAR.

%description -l pl Command
Klasa Command dla PEARa.

%package Frontend_CLI
Summary:	%{_pearname}-Frontend_CLI - main php pear class
Summary(pl):	%{_pearname}-Frontend_CLI - podstawowa klasa dla php pear
Group:		Development/Languages/PHP
Provides:	pear(Frontend)

%description Frontend_CLI
Command Line Frontend for PEAR.

%description -l pl Frontend_CLI
Interfejs z linii polece dla PEAR-a.

%package OS
Summary:	%{_pearname}-OS - main php pear class
Summary(pl):	%{_pearname}-OS - podstawowa klasa dla php pear
Group:		Development/Languages/PHP

%description OS
OS_Guess class for PEAR.

%description -l pl OS
Klasa OS_Guess dla PEARa.

%prep
%setup -q -c

%build
cd %{_pearname}-%{version}/scripts
sed -e "s/@prefix@/\/usr/" pear.in > pear.in.tmp
mv -f pear.in.tmp pear.in
sed -e "s/@pear_version@/%{version}/" pear.in > pear.in.tmp
mv -f pear.in.tmp pear.in

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir}/{%{_class}/{Command,Frontend},OS},%{_bindir}}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}
install %{_pearname}-%{version}/OS/*.php $RPM_BUILD_ROOT%{php_pear_dir}/OS
install %{_pearname}-%{version}/%{_class}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_pearname}-%{version}/%{_class}/Command/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Command
install %{_pearname}-%{version}/%{_class}/Frontend/CLI.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Frontend
install %{_pearname}-%{version}/scripts/pear.in $RPM_BUILD_ROOT%{_bindir}/pear

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/*.php

%files Command
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}/Command
%dir %{php_pear_dir}/%{_class}/Frontend
%attr(755,root,root) %{_bindir}/pear
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Command/*.php

%files Frontend_CLI
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/Frontend/*.php

%files OS
%defattr(644,root,root,755)
%dir %{php_pear_dir}/OS
%{php_pear_dir}/OS/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-PEAR.spec,v $
Revision 1.16.2.1  2002/11/19 15:49:32  blues
- release 2 - added missing provides - STBR (first thing to Ra-updates, I
  think...)

Revision 1.16  2002/11/12 11:26:00  marcus
- readded Provides erased by mistio to satisfy missing deps
(thanks to blues and PlusGSM)
- rel.2.

Revision 1.15  2002/11/07 17:15:37  blues
- 1.0b1 - noautoreq added

Revision 1.14  2002/10/14 23:50:29  misto
- new rpm-php-requires/provides scripts
- release 6

Revision 1.13  2002/10/14 20:06:54  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 6

Revision 1.12.2.1  2002/10/11 19:32:55  misto
- modified provides/requires for new pear-prov/req rpm scripts

Revision 1.12  2002/09/07 06:20:47  blues
- release 5 - fix in macros, added Provides - STBR

Revision 1.11  2002/07/30 22:43:04  blues
- release 4
- added pear command to package (removed from php-pear-devel)
STBR

Revision 1.10  2002/07/12 22:20:47  blues
- release 3 (rebuild with new rpm)
- gtk frontend removed to external package
- command-line frontend in separate package
- new provides (one not exactly right)

Revision 1.9  2002/07/12 16:00:26  blues
- added provides(stdClass) - temporary empty class

Revision 1.8  2002/07/03 23:55:14  kloczek
- release 2.

Revision 1.7  2002/07/02 10:19:16  blues
- Req: php-pear

Revision 1.6  2002/06/30 22:20:59  blues
- small fix

Revision 1.5  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.4  2002/06/29 14:46:02  blues
- more macros, fixes in dirs

Revision 1.3  2002/06/24 14:07:22  blues
- separate into 3 subpackages

Revision 1.2  2002/06/24 13:34:16  blues
- there is no docs...

Revision 1.1  2002/06/24 13:30:40  blues
- main PEAR class. Should be split into subpackages.
